﻿using System;

namespace Spring.Discharging
{
    public class DischargeProgressEventArgs : EventArgs
    {
#region Public Enums, Properties and Fields

        public int Current { get; set; }

        public int Repeat { get; set; }

        public int Total { get; set; }

#endregion

#region Constructors, Destructors and Finalizers

        public DischargeProgressEventArgs(int current, int total, int repeat)
        {
            Current = current;
            Total = total;
            Repeat = repeat;
        }

#endregion
    }
}
