﻿using System;
using IntervalTree;

namespace Spring.Utilities.Collections.RangeTree
{
    public class RangeTreeAction<TU, TV> : IntervalTree<TU, Action<TU>>
    {
#region Public Methods

        public new void Query(TU value)
        {
            foreach (var func in base.Query(value))
            {
                func.Invoke(value);
            }
        }

#endregion
    }
}
