﻿using System.Runtime.CompilerServices;

namespace Spring.Utilities
{
    public static class Debug
    {
#region Public Methods

        public static void ToDebugConsole(this string message,
                                          [CallerMemberName] string caller = "",
                                          [CallerLineNumber] int line = 0)
        {
            System.Diagnostics.Debug.WriteLine($"{caller}@{line}:{message}");
        }

#endregion
    }
}
